-- Added:
-- Leveling messages
-- Login message (guild and popup)
-- Button for config 

-- To be added:
-- Config
-- Thank you message for ressurection.
-- 

local LoadedFrame = CreateFrame("Frame")
LoadedFrame:RegisterEvent("ADDON_LOADED")

function LoadedFrame:OnEvent(event, arg1)
	if event == "ADDON_LOADED" and arg1 == "TheBrohmanMultiaddon" then
		if GuildMessagesValue == nil then
			GuildMessagesValue = 1
		else
			GuildMessagesValue = GuildMessagesValue
		end
		
		if GuildMessagesText then
			GuildMessagesText = GuildMessagesText
		else
			GuildMessagesText = "Hello there, lovely people!"
		end
		
		if ConfigButtonState == nil then
			buttontoggle = 0
			ConfigButtonState = buttontoggle
		else
			buttontoggle = ConfigButtonState
		end
	end
end
LoadedFrame:SetScript("OnEvent", LoadedFrame.OnEvent);

local EventFrame = CreateFrame("Frame")
EventFrame:RegisterEvent("PLAYER_LOGIN")
EventFrame:SetScript("OnEvent", function(self,event,...)
	if IsInGuild("player") then
		if GuildMessagesValue == 1 then
			SendChatMessage(""..GuildMessagesText.."" , "GUILD")
		else
		end
	else
	end
	if buttontoggle == 1 then
		MessageBtn:Show()
		MessageBtn:Enable()
	else
		MessageBtn:Hide()
		MessageBtn:Disable()
	end
	message("Greetings " .. UnitName("Player").. "! Nice to see you! Last time I checked, you were in level " .. UnitLevel("Player") .. ". Hope today's WoWing is fruitfull and fun!")
end)

local lvlFrame = CreateFrame("Frame")
lvlFrame:RegisterEvent("PLAYER_LEVEL_UP")
lvlFrame:SetScript("OnEvent",
	function(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9 = ...
	message("Congratulations on reaching level " .. arg1 .. ", " .. UnitName("Player") .. "!")
	if IsInGuild then
		if arg1 == 10 or arg1 == 15 or arg1 == 20 or arg1 == 25 or arg1 == 30 or arg1 == 35 or arg1 == 40 or arg1 == 45 or arg1 == 50 or arg1 == 55 or arg1 == 60 or arg1 == 65 or arg1 == 70 or arg1 == 75 or arg1 == 80 or arg1 == 85 or arg1 == 90 or arg1 == 95 then
			SendChatMessage("DING level " .. arg1 .. "! :D", "GUILD")
		elseif arg1 == 100 then
			SendChatMessage("YAAAAAAAAAY! 100! Woohoooo!", "GUILD")
		else
		end
	else
	end
end)

MessageBtn = CreateFrame("Button", "BrehButton", UIParent, "GameMenuButtonTemplate")
MessageBtn:SetPoint("CENTER", 5, 15)
MessageBtn:SetSize(140, 40)
MessageBtn:SetText("Options")
MessageBtn:SetMovable(true)
MessageBtn:EnableMouse(true)
MessageBtn:RegisterForDrag("RightButton")
MessageBtn:SetScript("OnDragStart", MessageBtn.StartMoving)
MessageBtn:SetScript("OnDragStop", MessageBtn.StopMovingOrSizing)

MessageBtn:SetScript("OnClick", function(self, button, down)
	if GuildMessagesValue == 1 then
		GuildMessagesValue = 0
		print("Logon guild-message has been disabled!")
	else
		GuildMessagesValue = 1
		print("Logon guild-message has been enabled!")
	end
	GuildMessagesValue = GuildMessagesValue
end)

SLASH_MAINCOMMANDS1, SLASH_MAINCOMMANDS2 = '/tbm', '/tbma';
local function handler(msg, editbox)
	if msg:lower() == 'toggle' then
		if(buttontoggle == 1) then
			message("Deativated the button!")
			MessageBtn:Hide()
			MessageBtn:Disable()
			buttontoggle = 0
			ConfigButtonState = buttontoggle
		elseif(buttontoggle == 0) then
			message("Activated the button!")
			MessageBtn:Show()
			MessageBtn:Enable()
			buttontoggle = 1
			ConfigButtonState = buttontoggle
		else
			message("Activated the button!")
			MessageBtn:Show()
			MessageBtn:Enable()
			buttontoggle = 1
			ConfigButtonState = buttontoggle
		end
	elseif msg:lower() == 'guild' then
		print("Current login message: |cff00ccff"..GuildMessagesText.."|r")
	elseif msg:lower() == '' then
		print("List of commands:")
		print("/tbm toggle - |cff00ccffToggling the options button!|r")
		print("/tbm - |cff00ccffShows all the available commands!|r")
		print("/tbm guild - |cff00ccffShows/Sets the current guild message!")
	else
		message("Not a valid command! Use '/tbm' for a list of commands!")
	end
end
SlashCmdList["MAINCOMMANDS"] = handler; -- Also a valid assignment strategy